Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1070757 - [database] support postgres user length within schema version
Summary: [database] support postgres user length within schema version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-dwh
Version: 3.4.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 3.4.0
Assignee: Yaniv Lavi
QA Contact: Barak Dagan
URL:
Whiteboard: infra
Depends On: 1070742
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-02-27 14:06 UTC by Yaniv Lavi
Modified: 2016-02-10 19:21 UTC (History)
10 users (show)

Fixed In Version: av3 - rhevm-dwh-setup-3.4.0-3.el6ev.noarch.rpm
Doc Type: Bug Fix
Doc Text:
This update increases the size of data that can be stored in the installed_by column in the schema_version table of the engine database to 63 characters, providing support for the maximum length of user names that can be specified in PostgreSQL.
Clone Of: 1070742
Environment:
Last Closed: 2014-06-09 15:18:31 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2014:0601 normal SHIPPED_LIVE rhevm-dwh 3.4 bug fix and enhancement update 2014-06-09 19:15:53 UTC
oVirt gerrit 25159 None None None Never

Description Yaniv Lavi 2014-02-27 14:06:43 UTC
+++ This bug was initially created as a clone of Bug #1070742 +++

Currently the schema version holds a field for user name, while the length of the field is shorter than what postgres supports.

Comment 2 Barak Dagan 2014-03-09 12:49:36 UTC
Verification failed on av2.1:

psql -d engine -c "select * from information_schema.columns where table_name = 'schema_version' and column_name = 'installed_by';" | less -S

 table_catalog | table_schema |   table_name   | column_name  | ordinal_position | column_default | is_nullable |     data_type     | character_maximum_length | character_octet_length | numeric_precision 
---------------+--------------+----------------+--------------+------------------+----------------+-------------+-------------------+--------------------------+------------------------+-------------------
 engine        | public       | schema_version | installed_by |                5 |                | NO          | character varying |                       30 |             1073741824 |                   
(1 row)


Fix will be entered in later version (3.4.1 ?)

https://bugzilla.redhat.com/show_bug.cgi?id=1070742 is still in modified.

Comment 3 Barak Dagan 2014-03-18 12:40:03 UTC
Verified on av3:

# rpm -q rhevm
rhevm-3.4.0-0.5.master.el6ev.noarch

# rpm -q rhevm-dwh
rhevm-dwh-3.4.0-3.el6ev.noarch

# rpm -q rhevm-reports
rhevm-reports-3.4.0-2.el6ev.noarch

 table_catalog | table_schema |   table_name   | column_name  | ordinal_position | column_default | is_nullable |     data_type     | character_maximum_length | character_octet_length | numeric_precision | nume
---------------+--------------+----------------+--------------+------------------+----------------+-------------+-------------------+--------------------------+------------------------+-------------------+-----
 engine        | public       | schema_version | installed_by |                5 |                | NO          | character varying |                       63 |             1073741824 |                   |     
(1 row)

Comment 4 errata-xmlrpc 2014-06-09 15:18:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2014-0601.html


Note You need to log in before you can comment on or make changes to this bug.